## autodebtest 0.5.2

=== Makefile ===
# This file is part of autodebtest
# autodebtest is a tool for testing Debian binary packages
#
# autodebtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autodebtest/CREDITS).

prefix =	/usr/local
share =		$(prefix)/share
bindir =	$(prefix)/bin
mandir =	$(share)/man
man1dir =	$(mandir)/man1
docdir =	$(share)/doc/autodebtest

INSTALL =		install
INSTALL_DIRS =		$(INSTALL) -d
INSTALL_PROGRAM =	$(INSTALL) -m 0755
INSTALL_DOC =		$(INSTALL)

programs =	virt-chroot/adt-virt-chroot \
		runner/adt-run

install:
	$(INSTALL_DIRS) -d $(bindir) $(docdir) $(man1dir)
	set -e; for f in $(programs); do \
		$(INSTALL_PROGRAM) $$f $(bindir); \
		test ! -f $$f.1 || $(INSTALL_DOC) $$f.1 $(man1dir); \
		done
	$(INSTALL_DOC) CREDITS debian/changelog $(docdir)

=== debian/changelog ===
autodebtest (0.5.2) dapper; urgency=low

  * New --output-dir option to adt-run.
  * Bugfixes (including new mandatory cwd argument to `execute'
    virt server command).

 -- Ian Jackson <iwj@ubuntu.com>  Thu,  2 Feb 2006 19:44:18 +0000

autodebtest (0.5.1) dapper; urgency=low

  * Manpages and minor fixes.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 24 Jan 2006 18:37:46 +0000

autodebtest (0.5.0) unstable; urgency=low

  * Initial release of (still largely proof-of-concept) automatic binary
    package testing framework.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 20 Jan 2006 17:56:55 +0000

=== debian/control ===
Source: autodebtest
Maintainer: Ian Jackson <iwj@ubuntu.com>
Section: devel
Priority: optional
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.0.2)

Package: autodebtest
Architecture: all
Depends: python2.4
Description: automatic as-installed testing for Debian packages
 autodebtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.  See adt-run(1)
 and /usr/share/doc/autodebtest.
 .
 Status: this release is still pretty much a proof of concept.

=== debian/rules ===
#!/usr/bin/make -f
#
# This file is part of autodebtest
# autodebtest is a tool for testing Debian binary packages
#
# autodebtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autodebtest/CREDITS).

p=autodebtest

build build-arch build-indep:
binary-arch:

binary binary-indep: checkdir
	dh_testroot
	dh_clean
	dh_installdirs usr

	$(MAKE) install prefix=debian/$p/usr

	cat CREDITS debian/copyright.suffix \
		>debian/$p/usr/share/doc/$p/copyright
	dh_compress
	dh_link
	dh_md5sums
	dh_fixperms
	dh_gencontrol
	dh_builddeb

clean: checkdir
	dh_testroot
	dh_clean

checkdir:
	dh_testdir runner/adt-run
